- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cpm_plugconfig – Get and Set Plug Parameters on WTI OOB and PDU power devices

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Get and Set Plug Parameters on WTI OOB and PDU devices

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
cpm_action - / required | Choices: getplugconfig setplugconfig | This is the Action to send the module.
cpm_password - |  | This is the Password of the WTI device to send the module.
cpm_url - / required |  | This is the URL of the WTI device to send the module.
cpm_username - |  | This is the Username of the WTI device to send the module.
plug_bootdelay - | Choices: 0 1 2 3 4 5 6 7 8 9 | On a reboot command, this is the time when a plug will turn on power, after it has been turned off. 0='0.5 Secs', 1='1 Sec', 2='2 Sec', 3='5 Sec', 4='15 Sec', 5='30 Sec', 6='1 Min', 7='2 Mins', 8='3 Mins', 9='5 Mins'.
plug_bootpriority - |  | Prioritizes which plug gets its state changed first. The lower the number the higher the priority. Valid value can from 1 to the maximum number of plugs of the WTI unit.
plug_default - | Choices: 0 1 | What the Plugs default state is when the device starts. 0 - Off, 1 - On.
plug_id - / required |  | This is the plug number that is to be manipulated For the getplugconfig command, the plug_id 'all' will return the status of all the plugs the user has rights to access.
plug_name - |  | The new name of the Plug.
use_https boolean | Choices: no yes ← | Designates to use an https connection or http connection.
use_proxy boolean | Choices: no ← yes | Flag to control if the lookup will observe HTTP proxy environment variables when present.
validate_certs boolean | Choices: no yes ← | If false, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    # Get Plug parameters for all ports
    - name: Get the Plug parameters for ALL ports of a WTI Power device
      cpm_plugconfig:
        cpm_action: "getplugconfig"
        cpm_url: "rest.wti.com"
        cpm_username: "restpower"
        cpm_password: "restfulpowerpass12"
        use_https: true
        validate_certs: true
        plug_id: "all"

    # Get Plug parameters for port 2
    - name: Get the Plug parameters for the given port of a WTI Power device
      cpm_plugconfig:
        cpm_action: "getplugconfig"
        cpm_url: "rest.wti.com"
        cpm_username: "restpower"
        cpm_password: "restfulpowerpass12"
        use_https: true
        validate_certs: false
        plug_id: "2"

    # Configure plug 5
    - name: Configure parameters for Plug 5 on a given WTI Power device
      cpm_plugconfig:
        cpm_action: "setplugconfig"
        cpm_url: "rest.wti.com"
        cpm_username: "restpower"
        cpm_password: "restfulpowerpass12"
        use_https: true
        plug_id: "5"
        plug_name: "NewPlugNameFive"
        plug_bootdelay: "3"
        plug_default: "0"
        plug_bootpriority: "1"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data string | always | The output JSON returned from the commands sent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Western Telematic Inc. (@wtinetworkgear)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.